System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum To be added

Defines identifiers used to indicate the type of filter that a uses.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemFilterType To be added

  Indicates that a toolbox item filter string is allowed, but not required.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemFilterType

  This type of is typically specified on a root designer class to indicate that the designer wishes to accept or reject a toolbox item through code. The designer must implement the method of the interface.

  Indicates that custom processing is required to determine whether to use a toolbox item filter string.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemFilterType

  If a designer and a component class both have a filter string and one has a of , the toolbox item will not be available.

  Indicates that a toolbox item filter string is not allowed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ToolboxItemFilterType

  For a toolbox item with a filter type of to be enabled, the designer and the component class must have a matching filter string. Additionally, neither the designer or component class can have a of for the toolbox item to be enabled.

  Indicates that a toolbox item filter string must be present for a toolbox item to be enabled.